=== debian/changelog ===
bind9 (1:9.21.10-10) experimental; urgency=medium

  * Disable the flaky tests
  * Bump the debhelper compat level to 13 to use meson test

 -- Ondřej Surý <ondrej@debian.org>  Tue, 05 Aug 2025 11:08:45 +0200

bind9 (1:9.21.10-9) experimental; urgency=medium

  * Reduce the stack size to make the unit tests work on 32-bits

 -- Ondřej Surý <ondrej@debian.org>  Tue, 05 Aug 2025 09:42:34 +0200

bind9 (1:9.21.10-8) experimental; urgency=medium

  * Skip the benchmarks in the CI

 -- Ondřej Surý <ondrej@debian.org>  Sun, 27 Jul 2025 17:18:08 +0200

bind9 (1:9.21.10-7) experimental; urgency=medium

  * Reduce the number of ISC_TASK_WORKERS to speed up unit tests

 -- Ondřej Surý <ondrej@debian.org>  Sun, 27 Jul 2025 12:13:53 +0200

bind9 (1:9.21.10-6) experimental; urgency=medium

  * Split the arch and indep build rules, so non-amd64 builds can succeed

 -- Ondřej Surý <ondrej@debian.org>  Sun, 27 Jul 2025 07:30:16 +0200

bind9 (1:9.21.10-5) experimental; urgency=medium

  * Install named.conf.root-hints instead of named.conf.default-zones

 -- Ondřej Surý <ondrej@debian.org>  Sun, 27 Jul 2025 06:31:19 +0200

bind9 (1:9.21.10-4) experimental; urgency=medium

  * Adjust the dependency on meson to be >= 0.61

 -- Ondřej Surý <ondrej@debian.org>  Thu, 17 Jul 2025 14:46:05 +0200

bind9 (1:9.21.10-3) experimental; urgency=medium

  * Disable ns_query test for now

 -- Ondřej Surý <ondrej@debian.org>  Thu, 17 Jul 2025 13:54:19 +0200

bind9 (1:9.21.10-2) experimental; urgency=medium

  * Make the ns_query test flaky

 -- Ondřej Surý <ondrej@debian.org>  Thu, 17 Jul 2025 13:25:44 +0200

bind9 (1:9.21.10-1) experimental; urgency=medium

  * New upstream version 9.21.10
  * Add support for meson build system
  * Remove bind9-dev package, there are no headers
  * Install named-makejournal to bind9-utils

 -- Ondřej Surý <ondrej@debian.org>  Wed, 16 Jul 2025 20:22:56 +0200
