=== debian/control ===
Source: bind9
Section: net
Priority: optional
Maintainer: Debian DNS Team <team+dns@tracker.debian.org>
Uploaders: Ondřej Surý <ondrej@debian.org>,
           Bernhard Schmidt <berni@debian.org>
Build-Depends: bison,
               debhelper-compat (= 13),
               dh-apparmor,
               dh-exec,
               libcap2-dev [linux-any],
               libcmocka-dev,
               libdb-dev,
               libedit-dev,
               libfstrm-dev,
               libidn2-dev,
               libjemalloc-dev,
               libjson-c-dev,
               libkrb5-dev,
               liblmdb-dev,
               libmaxminddb-dev (>= 1.3.0),
               libnghttp2-dev,
               libprotobuf-c-dev,
               libssl-dev,
               liburcu-dev,
               libuv1-dev,
               libxml2-dev,
               meson (>= 0.61),
               ninja-build,
               pkgconf,
               protobuf-c-compiler,
               zlib1g-dev
Build-Depends-Indep: fonts-freefont-otf,
                     latexmk,
                     python3-sphinx,
                     python3-sphinx-rtd-theme,
                     texlive-fonts-extra,
                     texlive-latex-recommended,
                     texlive-xetex,
                     xindy
Standards-Version: 4.6.2
Vcs-Browser: https://salsa.debian.org/dns-team/bind9
Vcs-Git: https://salsa.debian.org/dns-team/bind9.git -b debian/9.19
Homepage: https://www.isc.org/downloads/bind/

Package: bind9
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: adduser,
         bind9-libs (= ${binary:Version}),
         bind9-utils (= ${binary:Version}),
         debconf | debconf-2.0,
         dns-root-data,
         iproute2,
         netbase,
         ${misc:Depends},
         ${shlibs:Depends}
Suggests: bind9-dnsutils,
          bind9-doc,
          resolvconf,
          ufw
Breaks: bind (<< 1:9.13.6~)
Replaces: bind (<< 1:9.13.6~)
Description: Internet Domain Name Server
 The Berkeley Internet Name Domain (BIND 9) implements an Internet domain
 name server.  BIND 9 is the most widely-used name server software on the
 Internet, and is supported by the Internet Software Consortium, www.isc.org.
 .
 This package provides the server and related configuration files.

Package: bind9-utils
Architecture: any
Depends: bind9-libs (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Breaks: freeipa
Description: Utilities for BIND 9
 This package provides various utilities that are useful for maintaining a
 working BIND 9 installation.

Package: bind9-doc
Architecture: all
Section: doc
Depends: ${misc:Depends}
Breaks: bind-doc (<< 1:9.13.6~)
Replaces: bind-doc (<< 1:9.13.6~)
Multi-Arch: foreign
Description: Documentation for BIND 9
 This package provides various documents that are useful for maintaining a
 working BIND 9 installation.

Package: bind9-host
Priority: standard
Architecture: any
Multi-Arch: foreign
Depends: bind9-libs (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Provides: host
Breaks: bind-host (<< 1:9.13.6~)
Replaces: bind-host (<< 1:9.13.6~)
Description: DNS Lookup Utility
 This package provides the 'host' DNS lookup utility in the form that
 is bundled with the BIND 9 sources.

Package: bind9-libs
Section: libs
Priority: standard
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends},
         ${shlibs:Depends}
Breaks: bind-libs (<< 1:9.13.6~)
Replaces: bind-libs (<< 1:9.13.6~)
Description: Shared Libraries used by BIND 9
 The Berkeley Internet Name Domain (BIND 9) implements an Internet domain
 name server.  BIND 9 is the most widely-used name server software on the
 Internet, and is supported by the Internet Software Consortium, www.isc.org.
 .
 This package contains a bundle of shared libraries used by BIND 9.

Package: bind9-dnsutils
Priority: standard
Architecture: any
Multi-Arch: foreign
Depends: bind9-host | host,
         bind9-libs (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Description: Clients provided with BIND 9
 The Berkeley Internet Name Domain (BIND 9) implements an Internet domain
 name server.  BIND 9 is the most widely-used name server software on the
 Internet, and is supported by the Internet Software Consortium, www.isc.org.
 .
 This package delivers various client programs related to DNS that are
 derived from the BIND 9 source tree.
 .
  - dig - query the DNS in various ways
  - nslookup - the older way to do it
  - nsupdate - perform dynamic updates (See RFC2136)
