## bind9 9.21.14

=== meson_options.txt ===
--- 
+++ 
@@ -169,9 +169,17 @@
 
 option(
     'fuzzing',
+    type: 'feature',
+    value: 'auto',
+    description: 'Build fuzzing binaries',
+)
+
+option(
+    'fuzzing-backend',
     type: 'combo',
     choices: ['none', 'afl', 'libfuzzer', 'oss-fuzz'],
-    description: 'Enable fuzzing',
+    value: 'none',
+    description: 'Fuzzing backend (backend none with -Dfuzzing=enabled only compiles the binary)',
 )
 
 option(
@@ -188,3 +196,11 @@
     value: 'disabled',
     description: 'enable the memory leak detection in external libraries (libxml2, libuv, OpenSSL)',
 )
+
+option(
+    'named-lto',
+    type: 'combo',
+    choices: ['off', 'thin', 'full'],
+    value: 'thin',
+    description: 'Enable Link Time Optimization for named.',
+)
