=== debian/changelog ===
bind9 (1:9.21.14-1) experimental; urgency=medium

  * New upstream version 9.21.14
   - [CVE-2025-8677]: DNSSEC validation fails if matching but invalid
     DNSKEY is found
   - [CVE-2025-40778]: Address various spoofing attacks.
   - [CVE-2025-40780]: Cache-poisoning due to weak pseudo-random number
     generator

 -- Ondřej Surý <ondrej@debian.org>  Wed, 22 Oct 2025 17:04:56 +0200

bind9 (1:9.21.12-1) experimental; urgency=medium

  * New upstream version 9.21.12
  * Don't fail build on failed tests (yet)

 -- Ondřej Surý <ondrej@debian.org>  Wed, 10 Sep 2025 20:36:14 +0200

bind9 (1:9.21.11-2) experimental; urgency=medium

  * Also install named-makejournal man page

 -- Ondřej Surý <ondrej@debian.org>  Wed, 20 Aug 2025 20:07:47 +0200

bind9 (1:9.21.11-1) experimental; urgency=medium

  * New upstream version 9.21.11

 -- Ondřej Surý <ondrej@debian.org>  Wed, 20 Aug 2025 17:44:21 +0200
