=== debian/control ===
--- 
+++ 
@@ -4,10 +4,10 @@
 Maintainer: Debian DNS Team <team+dns@tracker.debian.org>
 Uploaders: Ondřej Surý <ondrej@debian.org>,
            Bernhard Schmidt <berni@debian.org>
-Build-Depends: bison,
-               debhelper-compat (= 13),
+Build-Depends: debhelper-compat (= 13),
                dh-apparmor,
                dh-exec,
+               bison,
                libcap2-dev [linux-any],
                libcmocka-dev,
                libdb-dev,
