=== debian/rules ===
--- 
+++ 
@@ -71,6 +71,7 @@
 		-Dcmocka=enabled \
 		-Ddnstap=enabled \
 		-Ddoh=enabled \
+		-Dfuzzing=disabled \
 		-Dgeoip=enabled \
 		-Dgssapi=enabled \
 		-Didn=enabled \
@@ -94,7 +95,7 @@
 	dh_auto_clean
 
 override_dh_auto_test:
-	dh_auto_test -- --no-suite flaky
+	-dh_auto_test -- --no-suite flaky
 
 override_dh_auto_install-arch:
 	DESTDIR=$(CURDIR)/debian/tmp dh_auto_install install
