## bind9 9.21.18

=== debian/changelog ===
bind9 (1:9.21.18-1) experimental; urgency=medium

  * New upstream version 9.21.18

 -- Ondřej Surý <ondrej@debian.org>  Wed, 18 Feb 2026 12:56:41 +0100

bind9 (1:9.21.17-1) experimental; urgency=medium

  * New upstream version 9.21.17
   + [CVE-2025-13878]: Fix incorrect length checks for BRID and HHIT
     records.

 -- Ondřej Surý <ondrej@debian.org>  Wed, 21 Jan 2026 16:58:27 +0100

bind9 (1:9.21.16-1) experimental; urgency=medium

  * New upstream version 9.21.16

 -- Ondřej Surý <ondrej@debian.org>  Wed, 17 Dec 2025 16:58:59 +0100

bind9 (1:9.21.15-3) experimental; urgency=medium

  * Bump meson B-D to >= 1.3.0~

 -- Ondřej Surý <ondrej@debian.org>  Thu, 20 Nov 2025 11:56:24 +0100

bind9 (1:9.21.15-2) experimental; urgency=medium

  * Fix the sphinx doc build

 -- Ondřej Surý <ondrej@debian.org>  Wed, 19 Nov 2025 23:15:26 +0100

bind9 (1:9.21.15-1) experimental; urgency=medium

  * New upstream version 9.21.15
  * libcap is mandatory on Linux, remove it from meson invocation
  * Remove RPATH from synthrecord plugin

 -- Ondřej Surý <ondrej@debian.org>  Wed, 19 Nov 2025 22:10:30 +0100

bind9 (1:9.21.14-3) experimental; urgency=medium

  * Add upstream patches to prevent assertion failure when caching
    RRSIG for non-existent record.

 -- Ondřej Surý <ondrej@debian.org>  Sun, 09 Nov 2025 00:13:24 +0100

bind9 (1:9.21.14-2) experimental; urgency=medium

  * Remove libdb-dev build depends (Closes: #1119196)

 -- Ondřej Surý <ondrej@debian.org>  Tue, 28 Oct 2025 07:39:26 +0100
