=== debian/control ===
--- 
+++ 
@@ -10,7 +10,6 @@
                bison,
                libcap2-dev [linux-any],
                libcmocka-dev,
-               libdb-dev,
                libedit-dev,
                libfstrm-dev,
                libidn2-dev,
@@ -25,7 +24,7 @@
                liburcu-dev,
                libuv1-dev,
                libxml2-dev,
-               meson (>= 0.61),
+               meson (>= 1.3.0~),
                ninja-build,
                pkgconf,
                protobuf-c-compiler,
