=== debian/rules ===
--- 
+++ 
@@ -23,10 +23,6 @@
 export CI = yes
 
 export arch = $(DEB_HOST_ARCH)
-
-ifeq ($(DEB_HOST_ARCH_OS),kfreebsd)
-EXTRA_FEATURES=-Dcap=disabled
-endif
 
 DEB_VERSION_REVISION := $(call dpkg_late_eval,DEB_VERSION_REVISION,echo '$(DEB_VERSION_UPSTREAM_REVISION)' | sed -e 's/^[^-]*//')
 
@@ -67,7 +63,6 @@
 		--sysconfdir=/etc/bind \
 		--localstatedir=/ \
 		--libdir=/usr/lib/$(DEB_HOST_MULTIARCH) \
-		-Dcap=enabled \
 		-Dcmocka=enabled \
 		-Ddnstap=enabled \
 		-Ddoh=enabled \
